com.smartgwt.client.types

## Enum DefaultQueryClause

- java.lang.Object
- - java.lang.Enum<DefaultQueryClause>
  - - com.smartgwt.client.types.DefaultQueryClause

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DefaultQueryClause>

      public enum DefaultQueryClause
      extends java.lang.Enum<DefaultQueryClause>
      implements ValueEnum

  The Velocity variable names of the "pieces" of SQL that Smart GWT generates to form a complete fetch or update query. You can use these variables in you own custom queries and query clause overrides to build on the Smart GWT functionality. See `CustomQuerying` for a full discussion.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `$DEFAULTORDERCLAUSE` The column names to sort by, for a fetch operation only
    `$DEFAULTSELECTCLAUSE` The column names to select, for a fetch operation only
    `$DEFAULTTABLECLAUSE` The table name(s) to select from or update
    `$DEFAULTVALUESCLAUSE` The column names to update and the update values, for an update or add operation
    `$DEFAULTWHERECLAUSE` The "where" condition, which will be derived from supplied criteria or a primary key value, depending on the type of operation

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DefaultQueryClause` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DefaultQueryClause[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### $DEFAULTSELECTCLAUSE

          public static final DefaultQueryClause $DEFAULTSELECTCLAUSE

      The column names to select, for a fetch operation only

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultSelectClause".

    - #### $DEFAULTTABLECLAUSE

          public static final DefaultQueryClause $DEFAULTTABLECLAUSE

      The table name(s) to select from or update

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultTableClause".

    - #### $DEFAULTWHERECLAUSE

          public static final DefaultQueryClause $DEFAULTWHERECLAUSE

      The "where" condition, which will be derived from supplied criteria or a primary key value, depending on the type of operation

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultWhereClause".

    - #### $DEFAULTVALUESCLAUSE

          public static final DefaultQueryClause $DEFAULTVALUESCLAUSE

      The column names to update and the update values, for an update or add operation

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultValuesClause".

    - #### $DEFAULTORDERCLAUSE

          public static final DefaultQueryClause $DEFAULTORDERCLAUSE

      The column names to sort by, for a fetch operation only

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultOrderClause".

  - ### Method Detail

    - #### values

          public static DefaultQueryClause[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultQueryClause c : DefaultQueryClause.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultQueryClause valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`